Bug 472676 - Review Request: partimage
Review Request: partimage
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
http://www.partimage.org/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 06:04 EST by Paulo Roma Cavalcanti
Modified: 2013-01-09 23:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 03:04:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Roma Cavalcanti 2008-11-23 06:04:07 EST
Spec URL: http://people.atrpms.net/~pcavalcanti/specs/partimage.spec

SRPM URL: http://people.atrpms.net/~pcavalcanti/srpms/partimage-0.6.7-2.fc8.src.rpm

Description of problem:


Partimage is a Linux/UNIX partition imaging utility,
which saves partitions, having a supported filesystem, to an image file.
Partimage will only copy data from the used portions of the partition.
The image file can be compressed with gzip or bzip2 to save space,
and can be split into multiple files to be copied on CDs/DVDs.

Partimage was compiled with login disabled,
and supporting the following filesystems:

  ext2fs, ext3fs, fat, fat16, fat32, hfs, hpfs, jfs,
  ntfs, reiserfs, reiserfs-3.5, reiserfs-3.6, ufs, xfs.


Additional Information:

This request has been closed some time ago, and I would like to reopen it.
I have been using partimage for years and have cloned dozens of computers with it. The spec I am submitting is based on Dag's, Ubuntu and Gentoo. 
I have tested all of its options and everything is working, except the pam usage via partimaged-passwd. Maybe someone can help me with this.

Also, the buildarch is i386 and ppc, although I run it in x86_64 just fine.

This is the original bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=190000
Comment 1 Gwyn Ciesla 2008-11-24 09:10:40 EST
Will it build on x86_64?
Comment 2 Paulo Roma Cavalcanti 2008-11-24 09:27:35 EST
(In reply to comment #1)
> Will it build on x86_64?

Yes, it does. No problem.

But according to upstream, the (listed) architectures are only i386+ and ppc.

Last time I tried the x86_64 version, the server hanged, and I never tried it again.  But maybe it worth a new testing ...
Comment 3 Gwyn Ciesla 2008-11-24 09:37:46 EST
Definitely test and retry.  No reason to only to 32-bit if it works.
Comment 4 Paulo Roma Cavalcanti 2008-11-24 16:15:09 EST
(In reply to comment #3)
> Definitely test and retry.  No reason to only to 32-bit if it works.

Yes, it seems to work. I saved an unmounted /boot partition of a second disk,
and had no problem. I think as long as people do not mix client x server
architectures (e.g., when booting from a rescue CD), it should work
(and without any patch, as was necessary in the past).

I have updated the links.
Comment 5 Gwyn Ciesla 2008-11-24 16:19:36 EST
Is maintaining arch parity a requirement documented by upstream, or something you observed in testing?  If it's not upstream, you'll want to include it in a partimage-README.txt
Comment 6 Paulo Roma Cavalcanti 2008-11-25 07:40:00 EST
(In reply to comment #5)
> Is maintaining arch parity a requirement documented by upstream, or something
> you observed in testing?  If it's not upstream, you'll want to include it in a
> partimage-README.txt

Yes, Jon. According to my tests, the interface hangs when I use a 32 bit client (from system-rescuecd) connected to a 64 bit server. Since the normal usage is booting from a CD, so all partitions are unmounted (and making the image) the server, in general, will have to be 32 bits.


Also, the server options have to match the client compilation options.
Since the client from system-rescuecd use no login and no ssl, the server has to disable those options in /etc/sysconfi/partimaged.

Note that partimage is developed by the team from System-rescuecd.
Comment 7 Gwyn Ciesla 2008-11-25 08:44:05 EST
Ok.  Also, probably best to use NoArch instead of BuildArch, so sparc, alpha, etc can take a crack at it later.

rpmlint on SRPM:
partimage.src: W: strange-permission create_certificates.sh 0775
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

partimage.src: W: strange-permission partimaged-passwd 0755
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.


Should these not be 700, or at least 744?

rpmlint on RPMS:

partimage-server.i386: W: non-standard-uid /etc/partimaged partimag
partimage-server.i386: W: non-standard-gid /etc/partimaged partimag
partimage-server.i386: W: non-standard-uid /home/images partimag
partimage-server.i386: W: non-standard-gid /home/images partimag
partimage-server.i386: W: non-standard-uid /var/log/partimaged partimag
partimage-server.i386: W: non-standard-gid /var/log/partimaged partimag
partimage-server.i386: W: non-standard-uid /etc/partimaged/create_certificates.sh partimag
partimage-server.i386: W: non-standard-gid /etc/partimaged/create_certificates.sh partimag
partimage-server.i386: W: non-standard-uid /etc/partimaged/partimagedusers partimag
partimage-server.i386: W: non-standard-gid /etc/partimaged/partimagedusers partimag
partimage-server.i386: W: non-standard-uid /etc/partimaged/partimage-certs.cnf partimag
partimage-server.i386: W: non-standard-gid /etc/partimaged/partimage-certs.cnf partimag

OK.

partimage-server.i386: E: dir-or-file-in-home /home/images

What's going on here?  This cannot be in /home, maybe /usr/share/partimage-server or /var/lib/partimage-server.

partimage-server.i386: E: incoherent-logrotate-file /etc/logrotate.d/partimaged
partimage-server.i386: W: incoherent-init-script-name partimaged

Probably fine, but could be patched to be partimage-server, or possibly the sub-package renamed partimaged.

partimage-server.i386: E: executable-marked-as-config-file /etc/partimaged/create_certificates.sh

Should be in /usr/share/partimaged/

partimage-server.i386: E: non-readable /etc/partimaged/partimagedusers 0600

Probably fine.


Full review in progress. . .
Comment 8 Gwyn Ciesla 2008-11-25 09:32:58 EST
License is GPLv2+.

Fix Source0 URL. . .
https://fedoraproject.org/wiki/Packaging/SourceURL

Send gcc-4.3 patch upstream if not already done, document that you did and how in the spec.

The DOCS are duplicated in the main and server packages.  Usually redundant, but since they don't require each other, it's OK here.

Need to BuildRequires zlib-devel.
Comment 9 Paulo Roma Cavalcanti 2008-11-25 14:05:37 EST
> rpmlint on SRPM:
> partimage.src: W: strange-permission create_certificates.sh 0775
> A file that you listed to include in your package has strange permissions.
> Usually, a file should have 0644 permissions.

I put the script that creates the certificates in the same directory 
the certificates are going to be. It has been moved to /usr/share/partimaged.


> 
> partimage.src: W: strange-permission partimaged-passwd 0755
> A file that you listed to include in your package has strange permissions.
> Usually, a file should have 0644 permissions.
> 

The idea behind this script is that users do not need to have a local account on the server in case a login is needed. It has been moved to /usr/share/partimaged.

This script creates a db file (user, passwd), which can be used by pam for authentication purposes. The problem is that pam is ignoring this file
and using only the /etc/partimaged/partimagedusers, which lists only 
local users (no passwords).

Therefore, my pam rules are not working the way I wanted, 
but I do not know how to fix them ...
For now, only local users can authenticate.

Any suggestion? Do you know how pam works?

> 
> Should these not be 700, or at least 744?
> 
> rpmlint on RPMS:
> 
> partimage-server.i386: W: non-standard-uid /etc/partimaged partimag
> partimage-server.i386: W: non-standard-gid /etc/partimaged partimag
> partimage-server.i386: W: non-standard-uid /home/images partimag
> partimage-server.i386: W: non-standard-gid /home/images partimag
> partimage-server.i386: W: non-standard-uid /var/log/partimaged partimag
> partimage-server.i386: W: non-standard-gid /var/log/partimaged partimag
> partimage-server.i386: W: non-standard-uid
> /etc/partimaged/create_certificates.sh partimag
> partimage-server.i386: W: non-standard-gid
> /etc/partimaged/create_certificates.sh partimag
> partimage-server.i386: W: non-standard-uid /etc/partimaged/partimagedusers
> partimag
> partimage-server.i386: W: non-standard-gid /etc/partimaged/partimagedusers
> partimag
> partimage-server.i386: W: non-standard-uid /etc/partimaged/partimage-certs.cnf
> partimag
> partimage-server.i386: W: non-standard-gid /etc/partimaged/partimage-certs.cnf
> partimag
> 
> OK.
> 
> partimage-server.i386: E: dir-or-file-in-home /home/images
> 
> What's going on here?  This cannot be in /home, maybe
> /usr/share/partimage-server or /var/lib/partimage-server.

I used a 

%bcond_without home

because it is where I save my images (all my free space is always in /home). 

This has been changed to

%bcond_with home

which makes the spec to put the images in /var/partimaged.


> 
> partimage-server.i386: E: incoherent-logrotate-file /etc/logrotate.d/partimaged
> partimage-server.i386: W: incoherent-init-script-name partimaged
> 
> Probably fine, but could be patched to be partimage-server, or possibly the
> sub-package renamed partimaged.
> 

The process name is partimaged. I think is counter-intuitive to use
partimage-server. The sub-package could be renamed, but everybody else uses partimage-server. Only Fedora would be different ...

> partimage-server.i386: E: executable-marked-as-config-file
> /etc/partimaged/create_certificates.sh
> 
> Should be in /usr/share/partimaged/

Already moved.

> 
> partimage-server.i386: E: non-readable /etc/partimaged/partimagedusers 0600
> 
> Probably fine.



> License is GPLv2+.

Fixed.

> Fix Source0 URL. . .
> https://fedoraproject.org/wiki/Packaging/SourceURL

Changed.

> Send gcc-4.3 patch upstream if not already done, document that you did and how
> in the spec.

It is in the changelog section. 
The patch is very simple, and just changed some include files for C++:

-#include <iostream.h>
+#include <iostream>


> The DOCS are duplicated in the main and server packages.  Usually redundant,
> but since they don't require each other, it's OK here.

> Need to BuildRequires zlib-devel.

Done.


Links updated. A README.fedora will be added.
Comment 10 Gwyn Ciesla 2008-11-25 14:33:27 EST
(In reply to comment #9)
> > rpmlint on SRPM:
> > partimage.src: W: strange-permission create_certificates.sh 0775
> > A file that you listed to include in your package has strange permissions.
> > Usually, a file should have 0644 permissions.
> 
> I put the script that creates the certificates in the same directory 
> the certificates are going to be. It has been moved to /usr/share/partimaged.
> 
> 
> > 
> > partimage.src: W: strange-permission partimaged-passwd 0755
> > A file that you listed to include in your package has strange permissions.
> > Usually, a file should have 0644 permissions.
> > 
> 
> The idea behind this script is that users do not need to have a local account
> on the server in case a login is needed. It has been moved to
> /usr/share/partimaged.

Good.
 
> This script creates a db file (user, passwd), which can be used by pam for
> authentication purposes. The problem is that pam is ignoring this file
> and using only the /etc/partimaged/partimagedusers, which lists only 
> local users (no passwords).
> 
> Therefore, my pam rules are not working the way I wanted, 
> but I do not know how to fix them ...
> For now, only local users can authenticate.
> 
> Any suggestion? Do you know how pam works?

Not sure. Is this something you're adding on, or functionality of the original code?

> > 
> > Should these not be 700, or at least 744?
> > 
> > rpmlint on RPMS:
> > 
> > partimage-server.i386: W: non-standard-uid /etc/partimaged partimag
> > partimage-server.i386: W: non-standard-gid /etc/partimaged partimag
> > partimage-server.i386: W: non-standard-uid /home/images partimag
> > partimage-server.i386: W: non-standard-gid /home/images partimag
> > partimage-server.i386: W: non-standard-uid /var/log/partimaged partimag
> > partimage-server.i386: W: non-standard-gid /var/log/partimaged partimag
> > partimage-server.i386: W: non-standard-uid
> > /etc/partimaged/create_certificates.sh partimag
> > partimage-server.i386: W: non-standard-gid
> > /etc/partimaged/create_certificates.sh partimag
> > partimage-server.i386: W: non-standard-uid /etc/partimaged/partimagedusers
> > partimag
> > partimage-server.i386: W: non-standard-gid /etc/partimaged/partimagedusers
> > partimag
> > partimage-server.i386: W: non-standard-uid /etc/partimaged/partimage-certs.cnf
> > partimag
> > partimage-server.i386: W: non-standard-gid /etc/partimaged/partimage-certs.cnf
> > partimag
> > 
> > OK.
> > 
> > partimage-server.i386: E: dir-or-file-in-home /home/images
> > 
> > What's going on here?  This cannot be in /home, maybe
> > /usr/share/partimage-server or /var/lib/partimage-server.
> 
> I used a 
> 
> %bcond_without home
> 
> because it is where I save my images (all my free space is always in /home). 
> 
> This has been changed to
> 
> %bcond_with home
> 
> which makes the spec to put the images in /var/partimaged.

Good.

> 
> > 
> > partimage-server.i386: E: incoherent-logrotate-file /etc/logrotate.d/partimaged
> > partimage-server.i386: W: incoherent-init-script-name partimaged
> > 
> > Probably fine, but could be patched to be partimage-server, or possibly the
> > sub-package renamed partimaged.
> > 
> 
> The process name is partimaged. I think is counter-intuitive to use
> partimage-server. The sub-package could be renamed, but everybody else uses
> partimage-server. Only Fedora would be different ...

Then we can leave it -server.

> > partimage-server.i386: E: executable-marked-as-config-file
> > /etc/partimaged/create_certificates.sh
> > 
> > Should be in /usr/share/partimaged/
> 
> Already moved.
> 
> > 
> > partimage-server.i386: E: non-readable /etc/partimaged/partimagedusers 0600
> > 
> > Probably fine.
> 
> 
> 
> > License is GPLv2+.
> 
> Fixed.
> 
> > Fix Source0 URL. . .
> > https://fedoraproject.org/wiki/Packaging/SourceURL
> 
> Changed.
> 
> > Send gcc-4.3 patch upstream if not already done, document that you did and how
> > in the spec.
> 
> It is in the changelog section. 
> The patch is very simple, and just changed some include files for C++:
> 
> -#include <iostream.h>
> +#include <iostream>

Should be commented next to patch in spec.  Changelog is good to have as well.

> 
> > The DOCS are duplicated in the main and server packages.  Usually redundant,
> > but since they don't require each other, it's OK here.
> 
> > Need to BuildRequires zlib-devel.
> 
> Done.
> 
> 
> Links updated. A README.fedora will be added.

Probably best to update the release and repost new links, as an additional indicator of exactly when the above has been completed.
Comment 11 Paulo Roma Cavalcanti 2008-11-26 04:38:37 EST
>> Therefore, my pam rules are not working the way I wanted, 
>> but I do not know how to fix them ...
>> For now, only local users can authenticate.
>> 
>> Any suggestion? Do you know how pam works?

> Not sure. Is this something you're adding on, or functionality of the original
> code?

I borrowed the idea from Gentoo and Ubuntu. They created this script so people do not need to have a local account on the server. By what I have read about Pam, it can use this scheme. 

# partimaged user database
auth     sufficient   pam_userdb.so db=/etc/partimaged/passwd

But I always get a "password mismatch".


I added a README.Fedora.html (I chose html, because it has some useful links).

I have updated the release:

Spec: http://orion.lcg.ufrj.br/RPMS/SPECS/partimage.spec

SRPM: http://orion.lcg.ufrj.br/RPMS/src/partimage-0.6.7-3.fc8.src.rpm
Comment 12 Gwyn Ciesla 2008-11-26 14:37:25 EST
(In reply to comment #11)
> >> Therefore, my pam rules are not working the way I wanted, 
> >> but I do not know how to fix them ...
> >> For now, only local users can authenticate.
> >> 
> >> Any suggestion? Do you know how pam works?
> 
> > Not sure. Is this something you're adding on, or functionality of the original
> > code?
> 
> I borrowed the idea from Gentoo and Ubuntu. They created this script so people
> do not need to have a local account on the server. By what I have read about
> Pam, it can use this scheme. 
> 
> # partimaged user database
> auth     sufficient   pam_userdb.so db=/etc/partimaged/passwd
> 
> But I always get a "password mismatch".

I'm not sure I like the security implications of this.  This would mean that if you run partimage-server on your network, anyone on your network with a Fedora LiveCD with this installed can dump images on your server.

> 
> I added a README.Fedora.html (I chose html, because it has some useful links).

Good idea.  But rename to partimage.README.html to avoid use of the word Fedora and SRPM clobbering.
 
> I have updated the release:
> 
> Spec: http://orion.lcg.ufrj.br/RPMS/SPECS/partimage.spec
> 
> SRPM: http://orion.lcg.ufrj.br/RPMS/src/partimage-0.6.7-3.fc8.src.rpm

Also, for partimaged-certs.cnf, you should mention in the README that this file should be customized.  Not everyone is in Rio. :)
Comment 13 Paulo Roma Cavalcanti 2008-11-26 18:40:51 EST
> > > Not sure. Is this something you're adding on, or functionality of the original
> > > code?
> > 
> > I borrowed the idea from Gentoo and Ubuntu. They created this script so people
> > do not need to have a local account on the server. By what I have read about
> > Pam, it can use this scheme. 
> > 
> > # partimaged user database 
> > auth     sufficient   pam_userdb.so db=/etc/partimaged/passwd
> > 
> > But I always get a "password mismatch".
> 
> I'm not sure I like the security implications of this.  This would mean that if
> you run partimage-server on your network, anyone on your network with a Fedora
> LiveCD with this installed can dump images on your server.

Not really. This script has to be run as root on the server. Therefore,
only an administrator can add users. It is like using "pserver" authentication for CVS. But without any protection, you are right. 

Furthermore, without login enabled (on the server it is just a question of removing --nologin from/etc/sysconfig/patimage), and using the default port 
(and no firewall), anyone knowing the name of the image can download it. 
I have downloaded in the past a whole fedora image from a server in another city. It took some time, but worked.  


> 
> > 
> > I added a README.Fedora.html (I chose html, because it has some useful links).
> 
> Good idea.  But rename to partimage.README.html to avoid use of the word Fedora
> and SRPM clobbering.

Done


> 
> Also, for partimaged-certs.cnf, you should mention in the README that this file
> should be customized.  Not everyone is in Rio. :)

Changed the README. 
Also, I changed the name of the default city to Smallville. :)

(I kept the same releae).

Spec: http://orion.lcg.ufrj.br/RPMS/SPECS/partimage.spec
 
SRPM: http://orion.lcg.ufrj.br/RPMS/src/partimage-0.6.7-3.fc8.src.rpm
Comment 14 Paulo Roma Cavalcanti 2008-11-27 05:13:40 EST
I understood why the authentication using partimaged-passwd was not working.

The rpm has to be created with login and pam enabled and the 
rule pam_unix.so has to be removed. Doing this, the server authenticates using
the db45 database created by the script. The authentication is logged in the file /var/log/secure.

On the other hand, compiling with pam disabled and login enabled makes the authentication work using only the /etc/partimaged/patimagedusers file.
Partimage does not use pam for this type of authentication.

Therefore, the files 

/etc/pam.d/partimaged
/usr/share/man/man8/partimaged-passwd.8.gz
/usr/share/partimaged/partimaged-passwd

are only included in the package when pam support is on.

One has to rebuild the package for getting pam support,
and as a consequence, get a (weaker) non-local user type of authentication.
Comment 15 Gwyn Ciesla 2008-12-01 14:51:38 EST
Sounds to me like just using local pam auth would be the best, simplest and safest.
Comment 16 Paulo Roma Cavalcanti 2008-12-01 16:09:42 EST
(In reply to comment #15)
> Sounds to me like just using local pam auth would be the best, simplest and
> safest.

No problem. I changed the default to login and pam enabled.

Even if one (like myself) wants to use partimage from SistemRescuedCD,
which comes with login disabled, it is just a question of adding
--nologin to the server configuration file and restart partimaged.
Really easy ...

I also added s short explanation about the use of partimaged-passwd to our
README.partimage.html.


Spec: http://orion.lcg.ufrj.br/RPMS/SPECS/partimage.spec

SRPM: http://orion.lcg.ufrj.br/RPMS/src/partimage-0.6.7-4.fc8.src.rpm

If you can try it, it would be really good.

Thanks.
Comment 17 Gwyn Ciesla 2008-12-02 09:24:23 EST
MUST: rpmlint must be run on every package. The output should be posted in the review.

partimage.src: W: strange-permission create_certificates.sh 0775
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

partimage.src: W: strange-permission partimaged-passwd 0755
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

Why are these runnable by non-root users?

RPMS: addressed above.

- MUST: The package must be named according to the Package Naming Guidelines .

OK.

- MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .

OK.

- MUST: The package must meet the Packaging Guidelines .

Generally OK, but drop the image location macro, and remove the user created in the preun conditional.

- MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

OK.

- MUST: The License field in the package spec file must match the actual license.

OK.

- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

OK.

- MUST: The spec file must be written in American English.

OK.

- MUST: The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).

OK.

- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

Source URL still uses shortened SourceForge name, fix.

- MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.

OK.

- MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number should then be placed in a comment, next to the corresponding ExcludeArch line. New packages will not have bugzilla entries during the review process, so they should put this description in the comment until the package is approved, then file the bugzilla entry, and replace the long explanation with the bug number. The bug should be marked as blocking one (or more) of the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64

OK.

- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

OK.

- MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

OK.

- MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. If the package has multiple subpackages with libraries, each subpackage should also have a %post/%postun section that calls /sbin/ldconfig. An example of the correct syntax for this is:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

NA.

- MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

NA.

- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples.

Needs to own %{_datadir}/partimaged.

- MUST: A package must not contain any duplicate files in the %files listing.

OK.

- MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

See above.

- MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).

OK.

- MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .

See above.

- MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines .

OK.

- MUST: Large documentation files should go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)

OK.

- MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

OK.

- MUST: Header files must be in a -devel package.
- MUST: Static libraries must be in a -static package.

OK.

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).

NA.

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

NA.

- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

NA.

- MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.

NA.

- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. This is described in detail in the desktop files section of the Packaging Guidelines . If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

NA.

- MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

OK.

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.

OK.

- MUST: All filenames in rpm packages must be valid UTF-8.

OK.

Summary: Script perms, macro, Source URL, remove generated user, own %{_datadir}/partimaged.
Comment 18 Paulo Roma Cavalcanti 2008-12-02 11:15:21 EST
> Summary: Script perms, macro, Source URL, remove generated user, own
> %{_datadir}/partimaged.


1) I changed the script perms in the .src.rpm to 644 and in the rpm
to 744.

2) Removed home macro.

3) Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

4) Deleted created user in the postun section.

5) %dir %{_datadir}/partimaged


Spec: http://orion.lcg.ufrj.br/RPMS/SPECS/partimage.spec

SRPM: http://orion.lcg.ufrj.br/RPMS/src/partimage-0.6.7-5.fc8.src.rpm



Thanks.
Comment 19 Gwyn Ciesla 2008-12-02 13:07:53 EST
Excellent.

APPROVED.
Comment 20 Gwyn Ciesla 2008-12-02 13:11:24 EST
Oh, might also want to add partimage- to the man.tar.gz and create_certificates.sh and rename at install, to avoid SRPM clobber.
Comment 21 Paulo Roma Cavalcanti 2008-12-02 13:41:24 EST
You mean, putting Source1, Source3, Source4, Source5,
in, say, scripts.tar.gz and uncompressing them in the source tree?

I was intending to do that, but during the review, it would have complicated 
the access to the scripts.

I also have this small text with the guidelines I use for cloning
my installations. Even for laptops, I always use a pre-created image.

Maybe you would like to read it (of course, this text cannot be included in the rpm).


http://orion.lcg.ufrj.br/roma/LCG_partimage.html
Comment 22 Gwyn Ciesla 2008-12-02 14:08:19 EST
No, simply rename man.tar.gz partimage-man.tar.gz and rename create_certificates.sh partimage-create_certificates.sh, and rename them when they are installed in the spec.
Comment 23 Paulo Roma Cavalcanti 2008-12-02 14:35:52 EST
(In reply to comment #22)
> No, simply rename man.tar.gz partimage-man.tar.gz and rename
> create_certificates.sh partimage-create_certificates.sh, and rename them when
> they are installed in the spec.

I did what you asked, but I also compressed the scripts in

partimage-scripts.tar.gz

Same links.

What do you think?
Comment 24 Gwyn Ciesla 2008-12-02 14:44:43 EST
No need, but no harm either.  Looks OK.
Comment 25 Paulo Roma Cavalcanti 2008-12-02 15:37:37 EST
Thanks a lot, Jon.


New Package CVS Request
=======================
Package Name: partimage
Short Description: Partition imaging utility, much like Ghost
Owners: roma
Branches: F-8 F-9 F-10 devel
Comment 26 Kevin Fenzi 2008-12-03 19:46:35 EST
We are no longer doing F-8 branches. 

cvs done without F-8.
Comment 27 Paulo Roma Cavalcanti 2011-01-07 11:46:03 EST
I would like to build this package also for RHEL.

Thanks.

New Package CVS Request
=======================
Package Name: partimage
Short Description: Partition imaging utility, much like Ghost
Owners: roma
Branches: el5 el6
Comment 28 Jason Tibbitts 2011-01-07 12:26:24 EST
This package already exists; you cannot file a new package request for it.

Perhaps you wanted to file a change request to add new branches?  If you do,
please do so but keep in mind that if you are not the maintainer of the Fedora
version then you will probably need the approval of the Fedora maintainer.
Comment 29 Paulo Roma Cavalcanti 2011-01-07 14:22:01 EST
Hi, Jason

the package is mine in Fedora, and I would like to have it in RHEL.

Is this the appropriate way of doing the request?

Thanks.


Add New Branch Request
=======================
Package Name: partimage
Short Description: Partition imaging utility, much like Ghost
Owners: roma
Branches: el5 el6
Comment 30 Jason Tibbitts 2011-01-07 17:53:53 EST
Please simply read and follow https://fedoraproject.org/wiki/Package_SCM_admin_requests as always and submit a package change request.  Please do not deviate from the formats given there.  Our scripts do not recognize "Add New Branch Request" or anything else someone may randomly devise.
Comment 31 Paulo Roma Cavalcanti 2011-01-07 20:23:21 EST
Package Change Request
======================
Package Name: partimage
New Branches: el5 el6
Owners: roma
Comment 32 Jason Tibbitts 2011-01-07 21:47:05 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.